Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Class DefaultWriteCompletionEvent

    java.lang.Object
      org.jboss.netty.channel.DefaultWriteCompletionEvent

All Implemented Interfaces:
  ChannelEvent, WriteCompletionEvent

    public class DefaultWriteCompletionEvent

extends Object
implements WriteCompletionEvent

The default `WriteCompletionEvent` implementation.

Version:
  $Rev: 2210 $, $Date: 2010-03-04 08:11:39 +0900 (Thu, 04 Mar 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`DefaultWriteCompletionEvent(Channel channel, long writtenAmount)` Creates a new instance.

Method Summary
`Channel` | `getChannel()` Returns the `Channel` which is associated with this event.
`ChannelFuture` | `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`long` | `getWrittenAmount()` Returns the amount of data written.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultWriteCompletionEvent

    public DefaultWriteCompletionEvent(Channel channel,
                                       long writtenAmount)

  Creates a new instance.

Method Detail

### getChannel

    public Channel getChannel()

  Description copied from interface: `ChannelEvent`
  Returns the `Channel` which is associated with this event.

  Specified by:
    `getChannel` in interface `ChannelEvent`

### getFuture

    public ChannelFuture getFuture()

  Description copied from interface: `ChannelEvent`
  Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

  Specified by:
    `getFuture` in interface `ChannelEvent`

### getWrittenAmount

    public long getWrittenAmount()

  Description copied from interface: `WriteCompletionEvent`
  Returns the amount of data written.

  Specified by:
    `getWrittenAmount` in interface `WriteCompletionEvent`
  Returns:
    the number of written bytes or messages, depending on the type of the transport

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.